%define		_disable_ld_as_needed		1
%define		_disable_ld_no_undefined	1

%define		name		pynac
%define		libname		%mklibname %{name}
%define		devname		%mklibname %{name} -d

Name:		%{name}
Group:		Sciences/Mathematics
License:	GPL
Summary:	Modified GiNaC that replaces the dependency on CLN by Python
Version:	0.2.0.p3
Release:	%mkrel 1
# pynac-%{version}.spkg from sage tarball renamed
Source:		pynac-%{version}.tar.bz2
URL:		http://wiki.sagemath.org/spkg/pynac
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	libreadline-devel
BuildRequires:	python-devel

%description
A modified version of GiNaC that replaces the dependency on CLN by Python.

%package	-n %{libname}
Summary:	Modified GiNaC that replaces the dependency on CLN by Python
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description	-n %{libname}
A modified version of GiNaC that replaces the dependency on CLN by Python.

%package	-n %{devname}
Summary:	Modified GiNaC that replaces the dependency on CLN by Python
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Requires:	lib%{name} = %{version}-%{release}

%description	-n %{devname}
A modified version of GiNaC that replaces the dependency on CLN by Python.

%prep
%setup -q -n pynac-%{version}/src

autoreconf

%build
%configure --disable-static

%make CPPFLAGS=-I%{py_incdir} PKG_CONFIG_PATH=%{_libdir}/pkgconfig

%install
%makeinstall_std

%clean
rm -rf %{buildroot}

%files		-n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files		-n %{devname}
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*


%changelog
* Wed Jul 14 2010 Paulo Andrade <pcpa@mandriva.com.br> 0.2.0.p3-1mdv2011.0
+ Revision: 552962
- Update to version 0.2.0 patchlevel 3.

* Fri Feb 26 2010 Paulo Andrade <pcpa@mandriva.com.br> 0.1.11-1mdv2010.1
+ Revision: 512168
- Update to latest upstream release

* Mon Jan 04 2010 Paulo Andrade <pcpa@mandriva.com.br> 0.1.10-1mdv2010.1
+ Revision: 486288
- Update to pynac 0.1.10.

* Mon Aug 31 2009 Paulo Andrade <pcpa@mandriva.com.br> 0.1.8.p2-1mdv2010.0
+ Revision: 423113
- update to latest upstream patchlevel (corrects sage trac #6256)

* Wed Jun 17 2009 Paulo Andrade <pcpa@mandriva.com.br> 0.1.8-1mdv2010.0
+ Revision: 386513
- Update to latest upstream release.

* Mon May 18 2009 Paulo Andrade <pcpa@mandriva.com.br> 0.1.1-3mdv2010.0
+ Revision: 377373
+ rebuild (emptylog)

* Thu May 14 2009 Paulo Andrade <pcpa@mandriva.com.br> 0.1.1-2mdv2010.0
+ Revision: 375749
+ rebuild (emptylog)

* Tue May 12 2009 Paulo Andrade <pcpa@mandriva.com.br> 0.1.1-1mdv2010.0
+ Revision: 374979
- Initial import of pynac, required by sagemath (and using it's version).
  Modified GiNaC that replaces the dependency on CLN by Python
  http://wiki.sagemath.org/spkg/pynac
- pynac

